# affine_combo< etl::angle, T > Struct Template Reference

`#include <_angle.h>`

List of all members.

## Public Types

typedef T | time_type

## Public Member Functions

etl::angle | operator() (const etl::angle &a, const etl::angle &b, const time_type &t) const
etl::angle | reverse (const etl::angle &x, const etl::angle &b, const time_type &t) const

## Detailed Description

### template<typename T>
struct affine_combo< etl::angle, T >

Definition at line 481 of file _angle.h.

## Member Typedef Documentation

template<typename T>

typedef T affine_combo< etl::angle, T >::time_type

Definition at line 483 of file _angle.h.

## Member Function Documentation

template<typename T>

etl::angle affine_combo< etl::angle, T >::operator() | ( | const etl::angle & | a,
|  | const etl::angle & | b,
|  | const time_type & | t |
| ) |  |  | const`[inline]`

Definition at line 488 of file _angle.h.

template<typename T>

etl::angle affine_combo< etl::angle, T >::reverse | ( | const etl::angle & | x,
|  | const etl::angle & | b,
|  | const time_type & | t |
| ) |  |  | const`[inline]`

Definition at line 493 of file _angle.h.

The documentation for this struct was generated from the following file:

- _angle.h